package simulator.states;

import java.util.Map;

public abstract class CompositeResourceState extends ResourceState {
	@Override
	boolean hasChildren() {
		return true;
	}
	
	public abstract Map<String, ResourceState> getChildStates();

	public abstract void replaceChildState(ResourceState state, ResourceState newState);
}
